//
// xyzt.h
// kkyoda@riken.jp
//

#ifndef _XYZT_H_
#define _XYZT_H_

class xyzt {
  double x;
  double y;
  double z;
  int t;

public:
  xyzt() {x = y = z = 0.0; t = 0;}
  xyzt(double i, double j, double k, double l) {
    x = i;
    y = j;
    z = k;
    t = l;
  }

  double getX() {return x;}
  double getY() {return y;}
  double getZ() {return z;}
  int getT() {return t;}
};

bool operator<(xyzt &a, xyzt &b)
{
  return a.getT() < b.getT();
}

bool operator==(xyzt &a, xyzt &b)
{
  return a.getT() == b.getT();
}

#endif
