//
// vt.h
// kkyoda@riken.jp
//

#ifndef _VT_H_
#define _VT_H_

class vt {
  double value;
  int t;

public:
  vt() {value = 0.0; t = 0;}
  vt(double i, int j) {
    value = i;
    t = j;
  }

  double getV() {return value;}
  int getT() {return t;}
};

bool operator<(vt &a, vt &b)
{
  return a.getT() < b.getT();
}

bool operator==(vt &a, vt &b)
{
  return a.getT() == b.getT();
}

#endif
